<?php

namespace Drupal\syncart_product_feature\Hook;

use Drupal\commerce_order\Entity\OrderItemInterface;

/**
 * @file
 * Contains \Drupal\syncart_product_feature\Hook\CommerceOrderItemPresave.
 */

/**
 * Implements hook_ENTITY_TYPE_presave.
 */
class CommerceOrderItemPresave {

  const ORDER_ITEM_BUNDLE_PRODUCT_FEATURE = 'product_feature';

  /**
   * Hook.
   */
  public static function hook(OrderItemInterface $order_item) {
    if ($order_item->bundle() !== self::ORDER_ITEM_BUNDLE_PRODUCT_FEATURE) {
      return;
    }
    \Drupal::service('syncart_product_feature.cart')
      ->recreateAdjustments($order_item);
  }

}
